<script setup>
import { computed } from 'vue'
import { useToolStore } from '@/stores/useToolStore'

const toolStore = useToolStore()
const currentConnector = ref(null)
const currentTool = ref(null)
const currentDataObjects = ref(null)
const currentDataObject = ref(null)
const currentParent = ref('')
const navigationHistory = ref([])

async function selectTool(tool) {
    currentTool.value = tool
    currentStep.value = 'chooseDataObject'
    currentDataObjects.value = null
    currentDataObject.value = null
    navigationHistory.value.length = 0
    const data = await toolStore.fetchDataObjects(tool)
    currentParent.value = {id: null, name: data.root_name}
    currentDataObjects.value = data.objects
}

async function createNewTool() {
    let tool = await toolStore.createTool(currentConnector.value)
    selectTool(tool)
}

</script>

<template>
<v-col class="d-flex flex-column fill-height">
    <div>
        Complete the form below to connect to {{ currentConnector.name }}
    </div>
    <div v-for="field in currentConnector.fields" class="ma-0">
        <v-text-field v-if="field.type == 'text'" :label="field.name" :hint="field.helper" :name="field.id" v-model="field.value"></v-text-field>
        <v-text-field v-if="field.type == 'password'" type="password" :label="field.name" :hint="field.helper" :name="field.id" v-model="field.value"></v-text-field>
    </div>
    <div class="mt-auto d-flex flex-row">
        <v-btn
            size="small"
            color="primary"
            class="ml-auto"
            @click="createNewTool()"
        >Next</v-btn>
    </div>
</v-col>
<v-divider class="mx-4" vertical></v-divider>
<v-col cols="3">
    <v-avatar
        rounded="0"
        size="x-small"
        :image="currentConnector.icon"
        class="mr-1"
    ></v-avatar>{{ currentConnector.name }}

    <p class="mt-2">
        {{ currentConnector.description }}
    </p>
</v-col>
</template>
